Subject: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Jul 2022 22:21:59 +0300

> Date: Mon, 4 Jul 2022 19:10:07 +0000
> Cc: [email-masked], Stefan Monnier <[email-masked]>,
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> Quick summary of the problem: On an Emacs with a minibuffer-only frame
> (MBF) and a minibuffer-less frame (NF), with MBF selected with focus,
> type C-x C-c.  Instead of the focus remaining in MBF, it's moved to NF.

I lost you right here: can you explain why what you described isn't
TRT?  I mean, after you typed "C-x C-c", the minibuffer (whether it's
a frame or a window) has completed its job, and focus should return to
the "real" frame, which is NF.  Right?  What am I missing here?